/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Test-suite for Access Control Lists

*/

#ifndef CHECK_ACL_H
#define CHECK_ACL_H 1

void check_nonexisting_file_acl (char *top_dir);
void check_existing_file_acl (char *top_dir);

void check_parsing_branch_permissions (void);

void check_on_branch_acl (void);
void check_default_dir_on_branch_acl (void);

void check_persistent_on_branch_acl (char *topdir);

void check_reading_acl_file (void);

#endif /* CHECK_ACL_H */
