#! /bin/sh

[ -d ./test-acl ] || mkdir ./test-acl

touch ./test-acl-non-readable.txt
chmod 000 ./test-acl-non-readable.txt

echo -e " file.c\tbranch" > ./test-acl-too-few.txt

echo -e " file.c\tbranch\tuser\trights\tfoo\tbar" > ./test-acl-too-many.txt

for i in `seq 1 32`; do echo -n "too-long." >> ./test-acl-too-long-line.txt; done
echo >> ./test-acl-too-long-line.txt

if ./check_acl; then
    rm -f ./test-acl-*.txt
    rm -rf -- ./test-acl/
else
    exit $?
fi

