
#include "acl-admins.h"

#include <assert.h>
#include <errno.h>

int main (void)
{

    assert(!is_acl_admin("alice"));

    assert((load_acl_admins_from_file("./test-acl/acl-admins-non-existing") == -1)
	   && (errno = ENOENT));

    assert(load_acl_admins_from_file("./test-acl/acl-admins-too-long") == 1);

    assert(load_acl_admins_from_file("./test-acl/acl-admins") == 0);

    assert(is_acl_admin("alice"));

    assert(!is_acl_admin("victor"));

    exit(0);
}
