#! /bin/sh

rm -rf ./test-groups/
mkdir ./test-groups/

cat <<EOF > ./test-groups/cvsgroup-ignore
=this line should be ignored
EOF

cat <<EOF > ./test-groups/cvsgroup-broken1
%devel:
EOF

for i in `seq 1 1000`; do
   echo -n "TOO-LONG " >> ./test-groups/cvsgroup-too-long;
done
echo >> ./test-groups/cvsgroup-too-long

cat <<EOF > ./test-groups/cvsgroup
%devel: alice bob
%mgmt: michael nick
%devel: dave
EOF

if ./check_user_groups; then
    rm -rf -- ./test-groups/
else
    exit $?
fi
