include(atgeneral.m4)					-*- Autoconf -*-
# M4 macros used in building CVS-nserver test suites.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.


## ---------------------------------------- ##
## Macros specialized in testing CVS.       ##
## ---------------------------------------- ##

m4_define([AT_SETUP_CVSROOT],
[
CVSROOT=/tmp/cvs-sanity/cvsroot
export CVSROOT
])

m4_define([AT_SETUP_REMOTE_CVSROOT],
[
CVSROOT=:pserver:$1@localhost:/tmp/cvs-sanity/cvsroot
export CVSROOT
])

m4_define([AT_CLEANUP_TESTAREA],
[
AT_CHECK([
rm -rf ./test-area/
mkdir ./test-area/
cd ./test-area/
cvs -q co -l .
], 0, [ignore], [ignore])
])

m4_define([AT_CHECKOUT_TOP_DIR],
[AT_CHECK([
cd test-area/
cvs co top-dir/
], 0, [ignore], [ignore])
])

